## org.eclipse.datatools.connectivity.ui.templates
Class PropertyTemplateOption

    java.lang.Object
      org.eclipse.pde.ui.templates.TemplateField
          org.eclipse.pde.ui.templates.TemplateOption
              org.eclipse.datatools.connectivity.ui.templates.PropertyTemplateOption

    public class PropertyTemplateOption

extends org.eclipse.pde.ui.templates.TemplateOption

PDE template for Driver Template properties

Author:
  brianf

Constructor Summary
`PropertyTemplateOption(org.eclipse.pde.ui.templates.BaseOptionTemplateSection section, java.lang.String name, java.lang.String label)` Constructor

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent, int span)`
`java.lang.Object` `getValue()`
`boolean` `isEmpty()`
`void` `setEnabled(boolean enabled)`
`void` `setValue(java.lang.Object value)`

Methods inherited from class org.eclipse.pde.ui.templates.TemplateOption
`getMessageLabel, getName, isEnabled, isRequired, setName, setRequired`

Methods inherited from class org.eclipse.pde.ui.templates.TemplateField
`getLabel, getSection, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyTemplateOption

    public PropertyTemplateOption(org.eclipse.pde.ui.templates.BaseOptionTemplateSection section,
                                  java.lang.String name,
                                  java.lang.String label)

  Constructor

  Parameters:
    `section` -
    `name` -
    `label` -

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent,
                              int span)

  Specified by:
    `createControl` in class `org.eclipse.pde.ui.templates.TemplateField`

### isEmpty

    public boolean isEmpty()

  Overrides:
    `isEmpty` in class `org.eclipse.pde.ui.templates.TemplateOption`

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `org.eclipse.pde.ui.templates.TemplateOption`

### getValue

    public java.lang.Object getValue()

  Overrides:
    `getValue` in class `org.eclipse.pde.ui.templates.TemplateOption`

### setValue

    public void setValue(java.lang.Object value)

  Overrides:
    `setValue` in class `org.eclipse.pde.ui.templates.TemplateOption`